Name:       ibus-table-code
Version:    1.2.0.20100120
Release:    1%{?dist}
Summary:    The code tables for IBus-Table
License:    GPLv3
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://cloud.github.com/downloads/kaio/ibus-table-code/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-table >= 1.2.0.20090912
Requires(post):   ibus >= 1.2, ibus-table >= 1.2.0.20090912
BuildRequires:    ibus >= 1.2, ibus-table >= 1.2.0.20090912

Obsoletes:        ibus-table-additional <= 1.2.0.20100108
Conflicts:        ibus-table-additional > 1.2.0.20100108

%description
The package contains code tables for Ibus-Table, namely Latex, CNS11643, Emoji.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --prefix=%{_prefix} \
    --enable-latex \
    --enable-cns11643 \
    --enable-emoji
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

# %find_lang %{name}

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/latex.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/cns11643.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/emoji.db

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/latex.db
%{_datadir}/ibus-table/tables/cns11643.db
%{_datadir}/ibus-table/tables/emoji.db
%{_datadir}/ibus-table/icons/latex.svg
%{_datadir}/ibus-table/icons/cns11643.png
%{_datadir}/ibus-table/icons/ibus-emoji.svg

%changelog
* Wed Jan 20 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100120-1
- Introduce Emoji input method.
- Updated spec file.

* Fri Jan 08 2010 Caius 'kaio' Chance  <k at kaio.me> - 1.2.0.20100108-1
- The first version.
- Merged from ibus-table-additional.
